﻿@page
@model CreateModel
@{
    ViewData["Title"] = "Create Participant";
}

<div class="text-center">
    <h1 class="display-4">Create Participant</h1>
</div>

<p class="text-start">
    <a asp-page="/Participant/Index" class="btn btn-link">Back</a>
</p>

<form method="post">
    <div class="mb-3 row">
        <label asp-for="Form.SessionId" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <select asp-for="Form.SessionId" asp-items="Model.Sessions"
                    class="form-control"></select>
            <span asp-validation-for="Form.SessionId" class="text-danger"></span>
        </div>
    </div>
    
    <div class="mb-3 row">
        <label asp-for="Form.ParticipantName" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.ParticipantName" class="form-control" />
            <span asp-validation-for="Form.ParticipantName" class="text-danger"></span>
        </div>
    </div>

    <div class="mb-3 row">
        <label asp-for="Form.Company" class="col-sm-2 col-form-label"></label>
        <div class="col-sm-10">
            <input asp-for="Form.Company" class="form-control" />
            <span asp-validation-for="Form.Company" class="text-danger"></span>
        </div>
    </div>
    
    <div class="d-grid gap-2 col">
        <button type="submit" class="btn btn-block btn-primary">
            Submit
        </button>
    </div>
</form>
